package com.qqchen.deploy.backend.workflow.enums;

import lombok.Getter;

/**
 * 表单定义状态枚举
 *
 * @author qqchen
 * @date 2025-10-24
 */
@Getter
public enum FormDefinitionStatusEnums {

    DRAFT("DRAFT", "草稿"),
    PUBLISHED("PUBLISHED", "已发布"),
    DISABLED("DISABLED", "已禁用");

    private final String code;

    private final String description;

    FormDefinitionStatusEnums(String code, String description) {
        this.code = code;
        this.description = description;
    }

}

